package kr.co.vividnext.sodalive.live

import io.reactivex.rxjava3.core.Flowable
import kr.co.vividnext.sodalive.common.ApiResponse
import kr.co.vividnext.sodalive.live.room.LiveRoomStatus
import retrofit2.http.GET
import retrofit2.http.Header
import retrofit2.http.Query

interface LiveApi {
    @GET("/live/room")
    fun roomList(
        @Query("timezone") timezone: String,
        @Query("dateString") dateString: String?,
        @Query("status") status: LiveRoomStatus,
        @Query("page") page: Int,
        @Query("size") size: Int,
        @Header("Authorization") authHeader: String
    ): Flowable<ApiResponse<List<GetRoomListResponse>>>
}
